<?php  

if(get_theme_mod('gallery_section_disable') != 'on' ){ ?>  
	<?php 
	if( get_theme_mod('secgalleryTpadding',true) ) {
		$secgalleryTpadding = 'padding-top:'.esc_attr(get_theme_mod('secgalleryTpadding')).';';
	}
	if( get_theme_mod('secgalleryBpadding',true) ) {
		$secgalleryBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('secgalleryBpadding')).';';
	}

	?>		

<section id="gallery" class="gallery-area" >
	<div class="container">
	<?php
		$gallery_subheading = get_theme_mod('gallery_subheading', 'Our Gallery');
		$gallery_heading = get_theme_mod('gallery_heading', 'Some Of Our Work');
	?>
		<div class="container">
	        <div class="row justify-content-center">
	          <?php if($gallery_heading || $gallery_subheading){ ?> 
	            <div class="section-title">
	            	<h1><?php echo ($gallery_subheading);  ?></h1>
	                <h2><?php echo ($gallery_heading);  ?></h2>         
	            </div>
	          <?php }?>
	        </div> 
	    </div>
		<div class="gallery-main-box">
			<div class="row">
					<!-- <div class="ht-team-member-wrap ht-clearfix"> -->
			<?php 
				$showStatic = true;
				$cols = get_theme_mod('gallery_npp_count', 29);
				$cols++;
				switch($cols){
					case 1:
					$colCls = 'col-md-12 col-sm-12';
					break;
					case 2:
					$colCls = 'col-md-6 col-sm-6';
					break;
					case 3:
					case 5:
					case 6:
					case 9:
					$colCls = 'col-md-4 col-sm-6';
					break;
					case 4:
					case 7:
					case 8:
					case 10:
					case 11:
					case 12:
					$colCls = 'col-md-3 col-sm-6';
					break;
					default: 
					$colCls = 'col-md-4 col-sm-6';
					break;
				}
				for( $i = 1; $i <= $cols; $i++ ){
					$gallery_page_id = get_theme_mod('gallery_page'.$i); 
					$gallery_page_icon = get_theme_mod('gallery_page_icon'.$i);
					if($gallery_page_id){
						$showStatic = false;
						echo galleryShortCode($gallery_page_id, $isCustomizer=true, $i);
					}
				}

				$args = array(
					'post_type' => 'our-gallery',
					'post_status' => 'publish'
				);
				$new = new WP_Query($args); 
				$i=1;
				if($showStatic == true){
					while ( $new->have_posts() ){
					$new->the_post(); 
					$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'medium_large' );
					if(has_post_thumbnail()) { $thumb_url = $thumb['0']; }
					$url = $thumb['0'];?>
				<div class="<?php echo $colCls;?> gall-box">
					<div class="lz-gallery-images ">
						<figure class="spa-gall">
							<img class="secondry-bg img-responsive" src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
							<div class="g-oly"></div>
							<div class="over-text">
								<h3 class="inner-area-title "><?php the_title(); ?></h3>
							</div>
						</figure>
						
					</div>
				</div> 

				<?php 
				$i++; } wp_reset_query();
			} ?>
			</div>
		</div>			
	</div>
	<div class="clearfix"></div>
</section>
<?php }

